Bug 543575 - preupgrade fails to download packages when auto-update-debug-info plugin installed
preupgrade fails to download packages when auto-update-debug-info plugin inst...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-02 11:49 EST by Edward Rudd
Modified: 2014-01-21 18:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:32:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 2009-12-02 11:49:03 EST
Description of problem:
preupgrade fails to download packages when auto-update-debug-info plugin installed

Version-Release number of selected component (if applicable):
preupgrade-1.1.3-1.f11
yum-plugin-auto-update-debug-info-1.1.23-1.fc11

How reproducible:
every time auto-update-debug-info is installed

Steps to Reproduce:
1. install yum-plugin-auto-update-debug-info
2. yun pre-ugprade
3. 
  
Actual results:
No packages are downloaded into the preupgrade* yum cache dirs
Only system updates are downloaded

Expected results:
preupgrade to disable all non-essential 3rd party plugins and download the preupgrade packages.

Additional info:
Comment 1 Bug Zapper 2010-04-28 07:29:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andy Lutomirski 2010-04-30 15:04:07 EDT
Bug is still there on F12 -> F13 (Branch).  Disabling auto-update-debug-info fixes it.


# preupgrade-cli "Fedora 13 (Branch)"
/usr/lib/python2.6/site-packages/yum/__init__.py:215: UserWarning: Use .preconf instead of passing args to _getConfig
  warnings.warn('Use .preconf instead of passing args to _getConfig')
Loaded plugins: auto-update-debuginfo, blacklist, fastestmirror, priorities,
              : refresh-packagekit, whiteout
Loaded plugins: auto-update-debuginfo, fastestmirror, priorities, refresh-packagekit
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-13&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-13&arch=x86_64
Found 2 installed debuginfo package(s)
Enabling updates-debuginfo: Fedora 12 - x86_64 - Updates - Debug
Loading mirror speeds from cached hostfile
 * fedora: mirror.cogentco.com
 * updates: mirror.cogentco.com
 * updates-debuginfo: mirror.cogentco.com
Reading repository metadata in from local files
Enabling fedora-debuginfo: Fedora 12 - x86_64 - Debug
Checking for new repos for mirrors
 * fedora-debuginfo: mirror.cogentco.com
Reading repository metadata in from local files
Checking for new repos for mirrors
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/development/13/$basearch/os
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/development/13/x86_64/os
Checking for new repos for mirrors
 * preupgrade-main: hpc.arc.georgetown.edu
Fetched treeinfo from http://linux.mirrors.es.net/fedora/development/13/x86_64/os//.treeinfo
treeinfo timestamp: Thu Apr 29 14:16:21 2010
MEMORY                                                                                                | 1.2 kB     00:00     
vmlinuz                                                                                               | 3.6 MB     00:01     
initrd.img                                                                                            |  29 MB     00:02     
install.img                                                                                           | 141 MB     00:08     
Checking for new repos for mirrors
preupgrade-main                                                                                       | 4.3 kB     00:00     
preupgrade-main/primary_db                                                                            |  13 MB     00:00     
preupgrade-main/group_gz                                                                              | 388 kB     00:00     
Total download size: 0.0bytes
Download packages? 
Is this ok [y/N]: y
Low disk space detected in /boot

We recommend that you free up 26.0MB before rebooting, or the upgrade may not run.

Note: If the upgrade fails due to low diskspace, your system will not be damaged.
Generating metadata for preupgrade repo
preupgrade                                                                                            | 4.3 kB     00:00     
preupgrade/primary_db                                                                                 |  13 MB     00:01     
preupgrade/group                                                                                      | 1.7 MB     00:01     

Saving Primary metadata
Saving file lists metadata
Saving other metadata
Generating sqlite DBs
Sqlite DBs complete
Preparing system to boot into installer
DEBUG /sbin/grubby --title="Upgrade to Fedora 13 (Branch)" --remove-kernel="/boot/upgrade/vmlinuz" --add-kernel="/boot/upgrade/vmlinuz" --initrd="/boot/upgrade/initrd.img" --args="preupgrade repo=hd::/var/cache/yum/preupgrade stage2=hd:UUID=8c4b55a9-2199-4cd7-bed6-270f83a22263:/upgrade/install.img ks=hd:UUID=8c4b55a9-2199-4cd7-bed6-270f83a22263:/upgrade/ks.cfg"
Probing devices to guess BIOS drives. This may take a long time.
All finished. The upgrade will begin when you reboot.
[root@ctpornette yum.repos.d]# ls -lR /var/cache/yum/preupgrade
/var/cache/yum/preupgrade:
total 59672
-rw-r--r--. 1 root root 59341824 2010-04-30 12:50 14f21ad939a42aa14c8ce25488e9e033ecf94d6453115d183810b1d65628fd9c-primary.sqlite
-rw-r--r--. 1 root root  1736917 2010-04-29 08:25 1ccd9ad18b68891e94420371bf83192f996ed98c8504f1889040ac1103c934b8-comps-f13.xml
-rw-r--r--. 1 root root        0 2010-04-30 12:50 cachecookie
-rw-r--r--. 1 root root     2798 2010-04-30 12:48 mirrorlist.txt
drwxr-xr-x. 2 root root     4096 2010-04-30 12:48 packages
drwxr-xr-x. 2 root root     4096 2010-04-30 12:50 repodata
-rw-r--r--. 1 root root     4404 2010-04-29 08:25 repomd.xml

/var/cache/yum/preupgrade/packages:
total 0

/var/cache/yum/preupgrade/repodata:
total 2120
-rw-r--r--. 1 root root 1736917 2010-04-30 12:50 1ccd9ad18b68891e94420371bf83192f996ed98c8504f1889040ac1103c934b8-comps-f13.xml
-rw-r--r--. 1 root root  397768 2010-04-30 12:50 1ccd9ad18b68891e94420371bf83192f996ed98c8504f1889040ac1103c934b8-comps-f13.xml.gz                                                                                                                        
-rw-r--r--. 1 root root     588 2010-04-30 12:50 filelists.sqlite.bz2
-rw-r--r--. 1 root root     173 2010-04-30 12:50 filelists.xml.gz
-rw-r--r--. 1 root root     569 2010-04-30 12:50 other.sqlite.bz2
-rw-r--r--. 1 root root     169 2010-04-30 12:50 other.xml.gz
-rw-r--r--. 1 root root    1221 2010-04-30 12:50 primary.sqlite.bz2
-rw-r--r--. 1 root root     182 2010-04-30 12:50 primary.xml.gz
-rw-r--r--. 1 root root    3374 2010-04-30 12:50 repomd.xml
[root@ctpornette yum.repos.d]#
Comment 3 Felix Schwarz 2010-05-29 07:49:59 EDT
At least with the preupgrade gui program I was unable to reproduce this when upgrading from F12->F13 (final).
Comment 4 Bug Zapper 2010-06-28 11:32:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.